{
	"format_version": "1.10.0",
	"particle_effect": {
		"description": {
			"identifier": "minecraft:dragon_death_explosion_emitter",
			"basic_render_parameters": {
				"material": "particles_blend",
				"texture": "textures/particle/smoke_0"
			}
		},
		"components": {
			"minecraft:emitter_rate_steady": {
				"spawn_rate": 45,
				"max_particles": 200
			},
			"minecraft:emitter_lifetime_looping": {
				"active_time": 0.4
			},
			"minecraft:emitter_shape_point": {
				"offset": ["Math.random(-3, 3)", "Math.random(-3, 3)", "Math.random(-3, 3)"]
			},
			"minecraft:particle_lifetime_expression": {
				"max_lifetime": "Math.random(0.75, 1)"
			},
			"minecraft:particle_appearance_billboard": {
				"size": ["v.particle_random_1+1", "v.particle_random_1+1"],
				"facing_camera_mode": "lookat_xyz",
				"uv": {
					"texture_width": 194,
					"texture_height": 24,
					"flipbook": {
						"base_UV": [0, 0],
						"size_UV": [24, 24],
						"step_UV": [24, 0],
						"frames_per_second": 1,
						"max_frame": 9,
						"stretch_to_lifetime": true
					}
				}
			},
			"minecraft:particle_appearance_tinting": {
				"color": {
					"interpolant": "v.particle_age / v.particle_lifetime",
					"gradient": {
						"0.0": "#00333333",
						"0.17": "#FF919191",
						"0.5": "#D9727272",
						"1.0": "#00FFFFFF"
					}
				}
			}
		}
	}
}